<?php
//*********************/
//Скрипт переписан админом
//http://waufon.ru  Кот      *  Проги для компа и мобил
//Помогал админ
//http://pfc.h2m.ru/ КОСМОС  * Посети непожалееш
//всю эту срань господнюю
//перехуяривали на дыры
//http://rus-waphost.ru/ Nitrix * Супер хост без висов
/*********************/
function check( $msg )
{
$msg = str_replace( "\\n", " ", $msg );
$msg = str_replace( "\n", " ", $msg );
$msg = str_replace( "\$", "\$\$", $msg );
$msg = stripslashes( $msg );
//$msg = strtr( $msg, array( "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "" ) );
$msg = htmlspecialchars( $msg );
$msg = addslashes( $msg );
$msg = trim( $msg );
return $msg;
}
require( "inc/conf.inc.php" );
require( "inc/connect.php" );
echo "<title>Регистрация</title>";
echo "<style type=\"text/css\">";
echo "body { font-size: x-small; color: {$tcol}; background-color: {$bcol} }";
echo "a:link,a:visited { text-decoration: underline; color: {$lcol} }";
echo "div { text-align: center; background-color: {$rcol} }";
echo "</style>";
echo "</head>";
echo "<body>";

mysql_query( ( "DELETE FROM ban WHERE `ltime` < ".( time( ) - 86400 ) ).";" );
$addr = check( trim( $REMOTE_ADDR ) );
mysql_query( "Select `id` from ban WHERE ip = '".$addr."' LIMIT 1;" );
if ( mysql_affected_rows( ) != 0 )
{
echo "<meta http-equiv=\"refresh\" content=\"10;URL=./index.php\"/>";
echo "<title>BAN!</title>";
echo "<style type=\"text/css\">";
echo "body { font-size: x-small; color: {$tcol}; background-color: {$bcol}; text-align: center }";
echo "a:link,a:visited { text-decoration: underline; color: {$lcol} }";
echo "div { text-align: center; background-color: {$rcol} }";
echo "</style>";
echo "</head>";
echo "<body>";
echo "<div><b>Bad IP or SOFT!</b></div>";
echo "Вы не можете пройти регистрацию, так как Ваш IP адрес оказался в черном списке.<br/>";
echo "Если Вы считаете что попали туда случайно, обратитесь к Администрации чата";
echo "<br/>";
echo "<a href=\"./index.php\">Назад</a><br/>";
echo "</body></html>";
mysql_close( $link );
exit( );
}
switch ( $mod )
{
case "reg" :

///\\\//ЭТИ ПОНТЫ НЕПОЛУЧИЛИСЬ ОНИ ДЕРЖАТ РЕГУ ЗАКРЫТОЙ/////\\\\\\\\//////

//if($reg_status == $reg)
//if(((strpos($ua, "Opera") !== false) or (strpos($ua, "Mozilla") !== false) or (strpos($ua, "MSIE") !== false)  or (strpos($ua, "Netscape") !== false)) && $computer == 1)
//{
//echo "Регистрация с компьютера запрещена.<br/>\n";
//list($msec, $sec) = explode(chr(32), microtime());
//echo "<span style=\"font-size: small\">[".round(($sec + $msec) - $headtime, 5)."]</span><br/>\n";
//echo "</div></body></html>";
//exit();
//}
///\\\//////КОНЕЦ ПОНТАМ/\\\\\\\\//////
$q = mysql_query( "SELECT * FROM `settings` WHERE sid='1' " );
$row = mysql_fetch_row( $q );
$reg = $row['1'];
///Таблица на регу reg колонка reg//РАБОЧАЯ ТОЧНО Запрос пашет с админки//
if ($reg == 1)
{
echo "<title>Регистрация</title>";
echo "<style type=\"text/css\">";
echo "body { font-size: x-small; color: {$tcol}; background-color: {$bcol} }";
echo "a:link,a:visited { text-decoration: underline; color: {$lcol} }";
echo "div { text-align: center; background-color: {$rcol} }";
echo ".cp { border-style:solid; border-width: 0px; color: {$lcol} ; background-color: {$bcol}; text-align: left }";
echo "</style>";
echo "</head>";
echo "<body>";
echo "<div align=\"center\">Регистрация</div>";
echo "<form  action=\"rega.php\" method=\"post\">";
echo "Ник:*<br/>";
echo "<input name=\"login\" maxlength=\"15\">";
echo "<br/>Пароль:*<br/>";
echo "<input name=\"pass\" type=\"text\" maxlength=\"20\" size=\"15\"/>";
echo "<br/>Имя:*<br/>";
echo "<input name=\"name\" maxlength=\"15\"/>";
echo "<br/>Пол:*<br/>";
echo "<select name=\"sex\">";
echo "<option value=\"0\">Не знаю</option>";
echo "<option value=\"1\">М</option>";
echo "<option value=\"2\">Ж</option>";
echo "</select>";
echo "<br/>";
echo "Введите число:*<br/>";
echo "<img src=\"img.php\"  alt=\"Control\"/><br/>";
echo "<input name=\"control\" maxlength=\"6\"><br/>";
echo "<input type=\"hidden\" name=\"mod\" value=\"go\"/>";
echo "<input value=\"Регистрация\" class=\"cp\" type=\"submit\"/>";
echo "</form>";
echo "<a href=\"./rega.php\">Назад</a>";
}
else
{
echo"<font color=red>Слушай Умник!,<br/> ПШШОЛ НАХУЙ! Ясно-же сказано ты противен всем в чате и нехотят тебя в нём видеть.<br/>Рега <blink><b>закрыта</b></blink>!!!<br/> Ебаш нахуй чмо.</font><br/>";
}
break;
case "go" :
echo "<title>Регистрация</title>";
echo "<style type=\"text/css\">";
echo "body { font-size: x-small; color: {$tcol}; background-color: {$bcol} }";
echo "a:link,a:visited { text-decoration: underline; color: {$lcol} }";
echo "div { text-align: center; background-color: {$rcol} }";
echo "</style>";
echo "</head>";
echo "<body>";
$control = intval( $control );
if ( mysql_num_rows( mysql_query( "Select * from control WHERE chislo = '".$control."'" ) ) == 0 )
{
echo "<div>Неверное контрольное число !</div>";
}
else if ( empty( $login ) )
{
echo "<div>Пустой ник!</div>";
}
else if ( 15 < strlen( $login ) )
{
echo "<div>Максимальная длинна ника 15 символов!</div>";
}
else if ( preg_match( "/[^\\da-zA-Z-@#!_]+/", $login ) )
{
echo "<div>Логин Пишем на латыни!</div>";
}
else if ( empty( $pass ) )
{
echo "<div>Пустой пароль!</div>";
}
else if ( 20 < strlen( $pass ) )
{
echo "<div>Максимальная длинна пароля 20 символов!</div>";
}
else if ( preg_match( "/[^\\da-zA-Z_]+/", $pass ) )
{
echo "<div>Пароль должен быть на латинице!</div>";
}
else if ( empty( $name ) )
{
echo "<div>Пустое имя!</div>";
}
else
{
$name = check( $name );
$name = substr( $name, 0, 30 );
$login = check( $login );
$pass = check( $pass );
$sex = intval( $sex );
$q = mysql_query( "select * from users where login='".$login."';" );
if ( mysql_num_rows( $q ) != 0 )
{
echo "<div>К сожалению такой пользователь уже зарегистрирован!</div>";
}
else
{
$ip = trim( $REMOTE_ADDR );
$soft = check( $HTTP_USER_AGENT );
$now = date( "Y-m-d", time( ) );
$adduser = "Insert into users set login='".$login."', pass='".$pass."', name='".$name."', sex='".$sex."', regdate='".$now."',level=0, ip='".$ip."', browser = '".$soft."',safe=1, theme=1";
if ( mysql_query( $adduser ) )
{
$id = mysql_insert_id( );
echo "<div>Вы успешно зарегистрированы!</div>";
echo "Ваш ник:";
echo "<b>{$login}</b><br/>";
echo "Пароль:";
echo "<b>{$pass}</b><br/>---<br/>";
echo "Предлогаем настроить чатик на ваш вкус:<br/>Ваш личный кабинет<br/>";


echo "&#187; <a href=\"my/index.php?id={$id}&amp;pass={$pass}\">ЗДЕСЯ... </a><br/>";



@mysql_query( "DELETE FROM control WHERE `chislo` = '".$control."';" );
mysql_query( "OPTIMIZE TABLE users" );
mysql_query( "ANALYZE TABLE users" );
$time = time( );
$msg = "Зарегистрирован пользователь <b><u>{$login}</u></b>";
mysql_query( "Insert into mess set login='[Система]', msg='".$msg."', id_from='".$id."', id_to='0', wtime='".$time."',room='all'" );
}
$time = time( );
if ( $reg == "2" ){ $reg = "<span style=\"color:red;\">Регистрацыя временно закрыта Администратором</span>";}
break;
}
}
default :
echo "<title>Правила</title>";
echo "<style type=\"text/css\">";
echo "body { font-size: x-small; color: {$tcol}; background-color: {$bcol} }";
echo "a:link,a:visited { text-decoration: underline; color: {$lcol} }";
echo "div { text-align: center; background-color: {$rcol} }";
echo "</style>";
echo "</head>";
echo "<body>";

echo "<div>Правила</div>";
echo "При регистрации в нике и в пароле <br/>";
echo "разрешены только знаки латинского алфавита и цифры.<br/>";
echo "<u>Если хотите себе русский ник, после регистрации обращайтесь к администрации чата</u><br/>";
echo "Также вы должны заполнить все обязательные поля помеченные звездочкой.<br/>";
echo "<a href=\"rega.php?mod=reg\">Согласен</a><br/>";
echo "<a href=\"index.php\">Не согласен</a>";
}
echo "<p align=\"center\"><a href=\"index.php\">Главная</a></p>";
echo "</body></html>";
mysql_close( $link );
?>